Partial update a segment
curl --request PATCH \
--url https://api.sandbox.asapp.com/configuration/v1/segments/{segmentId} \
--header 'Content-Type: application/json' \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>' \
--data '
{
"structuredDataFieldIds": []
}
'import requests
url = "https://api.sandbox.asapp.com/configuration/v1/segments/{segmentId}"
payload = { "structuredDataFieldIds": [] }
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'asapp-api-id': '<api-key>',
'asapp-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({structuredDataFieldIds: []})
};
fetch('https://api.sandbox.asapp.com/configuration/v1/segments/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "USER_SUPPORT",
"name": "Support",
"query": {
"type": "raw",
"raw": "TRUE"
},
"structuredDataFieldIds": []
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}Segments
Partial update a segment
Update a specific segment specifying the id
PATCH
/
configuration
/
v1
/
segments
/
{segmentId}
Partial update a segment
Path Parameters
Identifier of the segment
Body
application/json
Response
Successfully updated the segment.
Segment
The id of the segment
The name of the segment
A query that defines which conversations belong to this segment based on their metadata.
Show child attributes
Show child attributes
The ids of the structured data fields that will be used to generate the structured data for the conversation.
Was this page helpful?
⌘I